This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Reboot Virtual Server

1 - 1.3

post /v1/servers/{server_id}/reboot

Description

Reboot Virtual Server.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

ServerRebootRequestBody

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/reboot

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.3"

Request body

{
    "reboot_type": "SOFT"
}

Example HTTP response

Response 202

2 - 1.2

post /v1/servers/{server_id}/reboot

Description

Reboot Virtual Server.

State ACTIVE (SUPPORTED)

VersionNot Before
1.220260831

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

ServerRebootRequestBody

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/reboot

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.2"

Request body

{
    "reboot_type": "SOFT"
}

Example HTTP response

Response 202

3 - 1.1

post /v1/servers/{server_id}/reboot

Description

Reboot Virtual Server.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

ServerRebootRequestBody

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/reboot

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "reboot_type": "SOFT"
}

Example HTTP response

Response 202

4 - 1.0

post /v1/servers/{server_id}/reboot

Description

Reboot Virtual Server.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

ServerRebootRequestBody

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/reboot

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "reboot_type": "SOFT"
}

Example HTTP response

Response 202